libsrtp2 (2.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:20:01 +0800

libsrtp2 (2.2.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix (S)RTP for big endian machines.
      Closes: Bug#857898. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Tighten lintian overrides regarding License-Reference.
  * Unfuzz patches 1004 1005.
  * Stop track upstream source with CDBS (use gpb --uscan).
  * Use package priority optional (not extra).
  * Update Vcs-* fields: Source moved to Salsa.
  * Declare compliance with Debian Policy 4.1.4.
  * Update symbols: 3 dropped. 4 added.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2018 12:52:39 +0200

libsrtp2 (2.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Jun 2017 14:23:53 +0200

libsrtp2 (2.0.0+20170607-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.

  [ Jonas Smedegaard ]
  * Update symbols: 3 dropped. 21 added.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Jun 2017 17:41:32 +0200

libsrtp2 (2.0.0+20170516-1) experimental; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Add testsuite file, licensed Expat.
  * Unfuzz patches.
  * Stop put aside documentation during build: No longer shipped
    upstream.
  * Modernize cdbs: Do copyright-check in maintainer script (not during
    build).
  * Update package relations:
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 09:15:50 +0200

libsrtp2 (2.0.0+20170223-1) experimental; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Support setting tag and key sizes based on RFC 4568 specification.
    + Make the Master Keys dynamic instead of limiting to 4 master keys.
    + Fix RTCP not encrypted only authenticated by AES GCM.
    + Fix memory leak.
    + Change crypto/replay/rdbx.c return types of type int to int32_t.
    + Report ssrc instead of srtp_stream_t in srtp_event_data_t
    + Improve OpenSSL discovery and linking.
    + Replace hardcoded CFLAGS with compiler checks.
    + Simplify logging of errors and debug.
    + Use OPENSSL_cleanse() to set memory to zero, when available.
    + Add simple error checking in timing test to avoid false results.
    + Don't use underscore as leading character in header guards.
    + Free enc_buf if an error occurs
    + Add missing srtp_cipher_dealloc calls when test fails.
    + Change documentation from PDF to HTML.

  [ Jonas Smedegaard ]
  * Fix Vcs-* URLs (was pointing to separate libsrtp 1.x git).
    Closes: Bug#856819. Thanks to Andrey Gursky.
  * Drop upstream cherry-picked patch since applied.
  * Drop patches 1007 2002, obsoleted by upstream documentation changes.
  * Unfuzz patches 1004 1005.
  * Adapt rules to refactored upstream build routines.
    Build-depend on doxygen (not doxygen-latex).
  * Modernize cdbs use:
    + Extract copyrigh/licensing from PNG files.
    + Use cdbs to put aside upstream cruft during build.
    Tighten to build-depend versioned on cdbs.
    Build-depend on + libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Mar 2017 15:41:00 +0100

libsrtp2 (2.0.0+20170123-2) experimental; urgency=medium

  * Add patch chrry-picked upstream to fix return types of type int to
    int32_t.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jan 2017 15:05:51 +0100

libsrtp2 (2.0.0+20170123-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Add cast to unsigned int in call to printf.
    + avoid empty initializer braces.
    + Use ps -e  to ensure process is found.

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Re-enable patch 1005 to fix data alignment.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 13:10:31 +0100

libsrtp2 (2.0.0+20161214-2) unstable; urgency=medium

  * Skip patch 1005, to hopefully fix FTBFS on several archs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Jan 2017 02:48:05 +0100

libsrtp2 (2.0.0+20161214-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot from stable git branch.
    Highlights:
    + Make srtp_driver compile for MIPS.
    + Rename srtp_crypto_kernel_replace_cipher_type as
      srtp_replace_cipher_type, and similarly for auth_type.
    + Install cipher.h, auth.h and crypto_types.h.
      Closes: Bug#850266. Thanks to Sebastian Dröge.
    + Changes for OpenSSL 1.1.0 compatibility.

  [ Jonas Smedegaard ]
  * Drop upstream cherry-picked patch since applied.
  * Unfuzz patch 1005.
  * Update copyright info:
    + Extend coverage of autotools files.
    + Extend coverage of Debian packaging.
  * Update watch file:
    + Bump to version 4.
    + Add usage comment.
    + Use github pattern from documentation.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Update symbols: 2 renamed.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 19:47:06 +0100

libsrtp2 (2.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fork source package: srtp → libsrtp2.
  * Stop repackage upstream tarball: No longer includes non-DFSG files.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field: Use https protocol.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend copyright of packaging to cover current year.
    + Fix make License-Grant of packaging verbatim.
    + Drop superfluous disclaimers from GPL license grants.
    + Use License short-name FSFUL.
  * Drop patch now included upstream.
  * Unfuzz/update patches 1004 1005.
  * Cherry-pick patch from upstream to fix compilation on MIPS,
    replacing local patch 1003.
  * Move packaging to Debian VoIP Team. Demote myself to uploader.
  * Add symbols file, and enable use of pkgkde-symbolshelper.
    Build-depend on pkg-kde-tools.
  * Build-depend on libpcap0.8-dev (not transitional libpcap-dev).
  * Drop -utils package.
  * Have -dev package suggest -doc package.
  * Add lintian override for embedded-library false positive.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 22 Dec 2016 17:12:14 +0100

srtp (1.5.3~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + Fix for CVE-2015-6360.
    + Makefile.in: Don't hard-code ar.
    + Various fixes for compiling with Visual Studio.
    + Do not duplicate shared library when installing.

  [ Jonas Smedegaard ]
  * Stop juggle library symlinks: Fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Nov 2015 21:08:25 +0100

srtp (1.5.2~dfsg-4) experimental; urgency=medium

  * Stop build-depend on libssl-dev or configure with --enable-openssl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Jul 2015 10:03:44 +0200

srtp (1.5.2~dfsg-3) experimental; urgency=medium

  * Temporarily(!) build-depend on libssl-dev and configure with
    --enable-openssl.
  * Use globbing in debhelper install list (handling also one test
    binary skipped when building with OpenSSL).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jul 2015 12:54:42 +0200

srtp (1.5.2~dfsg-2) experimental; urgency=medium

  * Fix upstream cherry-picked patch.
    Thanks to Jeremy Lainé.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jul 2015 12:16:46 +0200

srtp (1.5.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Daniel Pocock ]
  * Add myself to uploaders.

  [ Jonas Smedegaard ]
  * Acknowledge NMU, with a few adjustments:
    + Fix revert accidental change to .gitignore.
    + Refresh patch 2002 with shortening quilt options.
    Closes: bug##752970. Thanks to Jonathan Wiltshire.
  * Declare compliance with Debian Policy 3.9.6.
  * Fix use canonical URL in Vcs-Git.
  * Update Vcs-Browser URL to use cgit web frontend.
  * Update copyright info:
    + Extend coverage for main upstream author.
    + Extend coverage for myself to include current year.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Drop accidental duplicate License section for GAP~configure.
  * Update hints so get-orig-source target fetches released tarballs.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Provide unversioned libsrtp-dev package (not versioned + virtual).
  * Install pkgconfig file.
    Build-depend on, and have -dev package depend on, pkg-config.
  * Include rtp_decoder in -utils package.
    Build-depend on, and have -dev package depend on, libpcap-dev.
  * Drop patches 1001 1002 1008 applied upstream.
    Unfuzz remaining patches.
  * Add patch cherry-picked upstream renaming SHA1 functions to avoid
    conflicts with e.g. polarssl.
    Closes: bug#764778. Thanks to Si Padmore.
  * Make library package multi-arch aware.
    Closes: bug#765173. Thanks to Michał Mirosław.
  * Drop fallback-build-dependencies for doxygen-latex: Unneeded even in
    oldstable.
  * Fix declare arch-indep build-dependency on doxygen-latex as such.
    Closes: Bug#628559. Thanks to George Danchev.
  * Add -dbg package.
  * Stop use or build-depend on obsolete hardening-includes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2015 23:31:26 +0200

srtp (1.4.5~20130609~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * 2002_missing_doxygen_commands.patch: define \+ command in
    doc/header.template (Closes: #752970) - patch by Si Padmore

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 13 Oct 2014 21:24:34 +0100

srtp (1.4.5~20130609~dfsg-1) unstable; urgency=low

  [ upstream ]
  * New snapshot of Git source.
    + Includes fix for CVE-2013-2139.
      Closes: bug#711163. Thanks to Moritz Muehlenhoff.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Have git-import-orig avoid .git-ignore files.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Bump debhelper compatibility level to 8.
  * Use canonical hostname (anonscm.debian.org) in Vcs-* URIs.
  * Update Homepage to use Github URL.
  * Update CDBS upstream-tarball hints to use Github source.
  * Update watch file to use Github URL.
  * Strip releases subdir when repackaging upstream tarball.
  * Tidy patches:
    + Unfuzz and refresh with shortening quilt options.
    + Tidy DEP-3 headers.
  * Update copyright and licensing info:
    + Add git URL as alternate source.
    + Update Source and Upstream-Contact to use Github URLs.
    + Bump copyright file format to 1.0.
    + Fix adjust copyright file header section to mention repackaging in
      Source paragraph and use only a single Files-Excluded paragraph.
    + Extend copyright coverage for autotools to include recent years.
    + Fix add License section for GAP~configure.
    + Bump packaging license to GPL-3+, and extend copyrigt coverage for
      myself to include recent years.
    + Fix include license verbatim and label it as derived: GPL-2+~file.
  * Relax to build-depend unversioned on debhelper, devscripts and cdbs:
    Needed versions satisfied even in oldstable.
  * Bump standards-version to 3.9.4.
  * Drop done TODO items.

  [ Daniel Pocock ]
  * Fix bus error in cipher_test causing FTBFS on sparc64.
    Closes: bug#628583. Thanks to Tzafrir Cohen.
  * Fix support forced 64bit alignment.
  * Fix stat driver test. Thanks to John Foley.
  * Tweak documentation build to fix errors.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2013 00:22:19 +0200

srtp (1.4.4+20100615~dfsg-2) unstable; urgency=low

  * Fix avoid installing example binary env: Hardly usable beyond tests,
    and cause FTPBS when build tests disabled (i.e. when
    DEB_BUILD_OPTIONS contains nocheck).
    Closes: bug#696019. Thanks to Thorsten Glaser.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Dec 2012 22:02:05 +0100

srtp (1.4.4+20100615~dfsg-1) unstable; urgency=low

  * Snapshot of newer upstream CVS code.
  * Add notes on stripped sources to copyright file.
  * Update patches:
    + Drop patches 1001, 1002, 1006, 1009: Obsolete.
    + Adjust patch 1005 to align by 4 (not 32 - the alignment is
      suspected to be bytes not bits).
    + Simplify patch 1007 to invoke 'doxygen -u' (not patch Doxyfile),
      and extend it to modernize header template.
    + Unfuzz patches.
  * Modernize Doxygen header template.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2011 00:39:59 +0200

srtp (1.4.4~dfsg-7) unstable; urgency=low

  * Play nice with git-buildpackage:
    + Add dpkg-source local-options hints.
    + Git-ignore quilt .pc dir.
  * Add patch 2001 to make regression test shell script more noisy, and
    fail on error.
    Closes: bug#621489. Thanks to Moritz Muehlenhoff and Matt Kraai, and
    to Tzafrir Cohen for friendly poking :-)
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Rewrap license fields at 72 chars, and shorten comments.
  * Bump policy compliance to standards-version 3.9.2.
  * Modernize tarball repackaging:
    + Use DEB_UPSTREAM_REPACKAGE_EXCLUDES (not obsolete
      DEB_UPSTREAM_REPACKAGE_EXCLUDE).
  * Fix build-depend on psmisc: provides killall needed for regression
    test script.
  * Build-depend on doxygen-latex, only as fallback on doxygen and
    texlive-latex-recommended to ease backporting.
  * Build-depend on and use hardening-includes, except
    DEB_BUILD_HARDENING_PIE causing "relocation [...]; recompile with
    -fPIC" failure.
  * Reapply default strong optimizations unless DEB_BUILD_OPTIONS
    contains noopt.
  * Add patch 1009 to fix use format argument in fprint.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 May 2011 01:56:54 +0200

srtp (1.4.4~dfsg-6) unstable; urgency=low

  * Add patch 1008 from Gentoo to hack build routines into compiling
    shared library.
  * Refresh patches.
  * Add new binary package libsrtp0. Install library-related files and
    resolve dependencies using d-shlibs. Build-depend on d-shlibs.
  * Drop local CDBS snippets (included in main cdbs package now).
  * Tighten build-dependency on cdbs, due to above.
  * Adjust a year in copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Mar 2010 12:00:01 +0200

srtp (1.4.4~dfsg-5) unstable; urgency=low

  * [not oficially released]

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Mar 2010 01:50:22 +0100

srtp (1.4.4~dfsg-4) unstable; urgency=low

  * Maintain package alone again (VOIP team clearly don't care: recently
    dropped the package from Debian with only few days notice).
  * Add README.source.  Drop custom hints about CDBS.
  * Update local CDBS snippets:
    + Consistently use underscore (not dash) in variables.
    + Bump copyright years.
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Implement fail-source-not-repackaged rule
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - Adjust to closer match new proposed copyright format
      - Ignore no files by default
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + Add and use new local package-relations.mk to resolve, cleanup and
      apply CDBS-declared (build-)dependencies.
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Fix tighten build-dependency on debhelper to at least 6.
  * Relax build-dependency on cdbs to be unversioned.
  * Use source format '3.0 "quilt"'. Stop including patchsys-quilt.mk.
    Stop build-depending on quilt or patchutils.
  * Bump Standards-Version to 3.8.4.
  * Have all packages depend on ${misc:Depends}, thanks to lintian.
  * Add proper license header to debian/rules.
  * Put aside stray upstream-shipped automade files during build.
  * Add patch 1007 updating Doxyfile, as requested by doxygen.
  * Refresh patches and add DEP3 proposed headers.
  * Fix comment out non-existing *.so from debhelper install file.
  * Rename libsrtp1-dev → libsrtp0-dev: Old number was wrongly resolved
    from major version. Have new package conflict/replace old one.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Feb 2010 03:08:52 +0100

srtp (1.4.4~dfsg-3) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.
    + Relax copyright-check.mk to only warn about its discoveries.
      Closes: bug#487070, thanks to Lucas Nussbaum.
    + Correct abbreviation of BSD licenses in copyright-check.mk.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6 (was 4).
  * Semi-auto-update debian/control due to above changes:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 17:16:16 +0200

srtp (1.4.4~dfsg-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Add patch 1003 to avoid the symbol "mips" clashing with builtin
    symbol on MIPS GCC compiler. Closes: bug#439976.
  * Add patch 1005 to fix tests by restricting to 32bit alignment.
    Closes: bug#470505, thanks to Martin Guy.
  * Add patch 1006 to fix unsigned chars in test driver. Closes:
    bug#470506, thanks to Martin Guy.
  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Make sure docs is built only once.
  * Change libsrtp1-dev to section libdevel (from devel), thanks to
    lintian.
  * Update local cdbs snippets:
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Various improvements to update-tarball.mk.
    + Drop buildcore.mk wrapper (set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      manually when needed instead)
    + Update debian/README.cdbs-tweaks.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

  [ Victor Seva ]
  * Add patch 1004 to add verbose to make runtest. Make FTBFS easier
    to debug. (Closes: #460534)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Apr 2008 17:48:39 +0200

srtp (1.4.4~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Drop patch 0001 superceded by new release.

  [ Jonas Smedegaard ]
  * Move Homepage to own field (from pseudo-field in long description).
  * Move X-Vcs-* control fields to Vcs-*.
  * Rewrite debian/copyright:
    + Restructure to conform to proposed new format at
      http://wiki.debian.org/Proposals/CopyrightFormat
    + Drop unneeded triling disclaimers from verbatim licensing texts.

  [ Kilian Krause ]
  * Switch from .dfsg to ~dfsg to allow shipping even a 1.4.4.1 in case it
    might happen.
  * Update debian/watch to point directly to SF.NET download area.

  [ Jonas Smedegaard ]
  * Update debian/copyright:
    + Bump up Cisco copyright to include the year 2006
    + Fix cut'n'paste error in Ingate copyright
    + Fix syntactical error in packaging license hint
    + Advertise Debian-distributed GPL file (thanks to lintian)
    + Declare VOIP team as copyright holder in 2007
    + Update copyright-hints
  * Standards-version 3.7.3 (no changes needed).
  * Drop "bts" cdbs tweak: We want all bugreports, even for unofficial
    builds. Also, lintian now dislikes the empty bts dirs left in
    official builds.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Dec 2007 23:03:05 +0100

srtp (1.4.2.dfsg-5) unstable; urgency=low

  * Add patch 0001 to bring in sync with upstream CVS as of 20070616.
    + This hopefully closes: bug#438792, #439976, thanks to Kilian
      Krause.
  * Set executable bit on patched-in test.
  * Add patch 1002 to use explicit path in rtpw_test.sh script.
  * Disable (but keep with source) patch 1001 fixed upstream it seems.
  * Fix XS-Vcs-Svn and XS-Vcs-Browser fields in debian/control.
  * Update cdbs tweaks:
    + Various improvements to update-tarball.
  * Better duplicate build-dependency cleanup in debian/rules, and semi-
    auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Sep 2007 01:01:50 +0200

srtp (1.4.2.dfsg-4) unstable; urgency=low

  * Clean PDF files to not fail in repetitive builds. Closes:
    bug#424238.
  * Improved cdbs tweaks:
    + Move build-dependency hints ro debian/rules.
    + Cleanup duplicate build-dependencies, to please lintian.
    + Minor update to upstream-tarball.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 May 2007 22:15:24 +0200

srtp (1.4.2.dfsg-3) unstable; urgency=low

  * Avoid useless Build-Depends-Indep (use Build-Depends always).
    Closes: bug#420517, thanks to Kurt Roeckx.
  * Update local cdbs snippets.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Mar 2007 14:57:31 +0100

srtp (1.4.2.dfsg-2) unstable; urgency=low

  * Move example binaries to /usr/lib/srtp, and only symlink them at
    /usr/share/doc/srtp-utils, to comply with policy regarding FHS.
  * Update cdbs tweaks:
    + Replace vcs.mk with new and improved upstream-tarball.mk.
    + List matching non-binaries when copyright changes are found.
    + Check copyrights in pre-build (in clean we cannot be sure that all
      actual cleanup has finished first).
    + Add new tweak bts.mk redirecting bugreports for unofficial builds
      to the email-adress $DEB_BTS_EMAIL if defined.
    + Update notes in README.cdbs-tweaks.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Mar 2007 10:48:59 +0100

srtp (1.4.2.dfsg-1) unstable; urgency=low

  [ Mikael Magnusson ]
  * Initial release. (Closes: #375047: ITP: srtp -- Secure RTP (SRTP)
    and UST Reference Implementations - Debian Bug report logs)
  * Merged srtp/srtp.c
  * Use orig Makefile.in
  * Remove packaging example files
  * Cleanup debian/rules
  * Include -D_REENTRANT in CFLAGS
  * Add print-version and get-orig-source targets to debian/rules based
    on kiax/debian/rules
  * Remove doc/rfc3711.txt, CVS directories and .cvsignore files from
    dfsg tarball
  * Bump Standards-Version to 3.7.2.2. No changes required.

  [ Jonas Smedegaard ]
  * Repackage using CDBS.
  * "Lower" standards-version to 3.7.2 (4th digit is insignificant).
  * Separate print-version and get-orig-source into a CDBS snippet based
    on sofia-sip packaging.
  * More DFSG tarball massage:
    + Strip doc/draft-irtf-cfrg-icm-00.txt (just in case it matters).
    + Strip doc/libsrtp.pdf (and build it from the sources instead).
    + Instruct get-orig-source to strip all PDFs, RFCs and drafts.
  * Include test binaries and documentation in new binary packages
    rtsp-utils and rtsp-docs.
  * Rename binary package librtsp-dev to librtsp1-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jan 2007 14:00:19 +0100

srtp (1.4.1-1) experimental; urgency=low

  * New upstream release

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Tue,  4 Oct 2005 15:53:10 +0200

srtp (1.3.20-1) experimental; urgency=low

  * Initial Release.

 -- Mikael Magnusson <mikma@users.sourceforge.net>  Sun, 10 Jul 2005 11:18:39 +0200

